Bug 824944 - Logout button missing when logged in as user with no permissions
Logout button missing when logged in as user with no permissions
Status: CLOSED WORKSFORME
Product: Katello
Classification: Community
Component: WebUI (Show other bugs)
1.X
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jason E. Rist
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 12:43 EDT by Brad Buckingham
Modified: 2013-02-26 23:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 11:09:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot - where's the logout button? :) (51.27 KB, image/png)
2012-05-24 12:43 EDT, Brad Buckingham
no flags Details

  None (edit)
Description Brad Buckingham 2012-05-24 12:43:30 EDT
Created attachment 586672 [details]
Screenshot - where's the logout button? :)

Description of problem:

Created a new user with a really long user name and didn't grant the user any permissions.  The user can log in and see the dashboard; however, there is no logout button... 

Version-Release number of selected component (if applicable):
github master

How reproducible:
always

Steps to Reproduce:
1. create user 'reallylongusername'
2. do not grant that user any permissions
3. log in as 'reallylongusername'
  
Actual results:
user can log in... but there is no button to log out

Expected results:
let the user log out :)

Additional info:
Comment 1 Jason E. Rist 2012-08-20 11:09:35 EDT
I think this is not an issue anymore.

As of 7c3acc13ad20759d2d5a200de21cba14965d8ca7

Note You need to log in before you can comment on or make changes to this bug.